# Overview

The HPCC-Nagios Juju Charm encapsulates best practice configurations for the HPCC Nagios-monitoring. You must deploy the HPCC Juju Charm first and then deploy this charm. This charm is Tested on:

- Local Provider (LXC)

- Amazon Web Services Cloud


# Usage

## General Usage

1. To deploy on a single HPCC Platform:

    Assuming you deployed the hpcc charm as 
  
    `juju deploy hpcc myhpcc`

    To deploy ganglia-monitoring charm:
    `juju deploy hpcc-ganglia ganglia`
    `juju add-relation myhpcc:hpcc-plugin ganglia:ganglia`


1. To deploy on an HPCC Platform with multiple nodes:
    
     Assuming  you deployed hpcc charm as 
    `juju deploy hpcc master`
    `juju deploy hpcc cluster -n  2`
    `juju add-relation master:support-node  cluster:cluster`

     To deploy the ganglia-monitoring charm:
    `juju deploy hpcc-ganglia ganglia`
    `juju add-relation master:hpcc-plugin ganglia:ganglia`
    `juju deploy hpcc-ganglia ganglia-node`
    `juju add-relation cluster:hpcc-plugin ganglia-node:ganglia-node`
  

     juju status


For support, visit the HPCC Community Forums:
[HPCC Community Forums](http://hpccsystems.com/bb/index.php?sid=0bda2dddb2ea50418357171d33b11e5f)
